Bug 190427 - Incomplete requires
Summary: Incomplete requires
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: unixODBC   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-02 09:05 UTC by Marc Maurer
Modified: 2013-07-03 03:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 00:29:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marc Maurer 2006-05-02 09:05:15 UTC
Some small issues with the spec file:

- The build requires yacc, so a BuildRequires: byacc would be appropriate
- The package provides libodbc.so, but rpm -q --provides doesn't list it (only
libodbc.so.1)

Comment 1 Tom Lane 2006-05-02 14:20:57 UTC
Thanks for report --- will fix at next turn of the package.

Comment 2 Edward Rudd 2006-05-14 00:28:08 UTC
Also have unixODBC provide libodbcinst.so as well as packaging it in the main
package so the -devel package doesn't need to be brough in for things like
java-1.5.0-sun-jdbc

Comment 3 Tom Lane 2006-12-06 17:14:57 UTC
After looking at this again I am wondering why you think you need --provides
data for the .so symlinks.  I don't know of any way that an automatic dependency
would be generated on the symlinks: explicitly linking the libraries into your
app would generate a dependency on the versioned names, while dlopen() wouldn't
result in any dependency at all.  Are you intending to do a manual "Requires:
libodbc.so" in your package specfile?  If so, why not just "Requires: unixODBC"
instead?

Comment 4 Edward Rudd 2006-12-06 23:45:50 UTC
These are binary packages of the Java JRE built from the jpackage java-1.5.0-sun
 nosrc.rpm.   Which require libodbc.so.   3rd party binary apps would also
"require" libodbc.so if they do not do libodbc.so if they built their system
using a different commercial odbc driver interface which unixODBC would be
supplimenting.  I do not see an "issue" with providing the libodbc.so symlink in
the main package as I know many commercial applications that use ODBC will load
up libodbc.so by default instead of looking for libodbc.so.1 and several do not
provide an option.

Comment 5 Bug Zapper 2008-04-03 17:14:28 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 00:29:15 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.